CODE_SATURNE(1)

NAME
code_saturne - Main user script of Code_Saturne.

SYNOPSIS
code_saturne [-h|--help] <command>

DESCRIPTION
The code_saturne script is the main user script of Code_Saturne.

OPTIONS

-h, --help
    Help message.

COMMANDS
Further information will be obtain with code_saturne <command> --help

check_consistency
    The code_saturne check_consistency command checks the consistency between the user files and the Xml file (from the Graphical User Interface) provided by the user and, if needed, that the chosen options are compatible with parallel calculations. Lastly, it prints the chosen specific physics.

check_mesh
    The code_saturne check_mesh command verify the quality of a given mesh. The following options will be passed to Code_Saturne preprocessor.

compile
    The code_saturne compile command can be used to generate the cs_solver executable needed for running a Code_Saturne study.

create
    The code_saturne create command sets up a directory structure for a Code_Saturne study or case. The different directories created are MESH for meshes, POST for user post-processing and a case directory (or several) containing a DATA, SRC (to store user files), RESU (to store results) and SCRIPTS directory.

info
    The code_saturne info command is a wrapper for an easier look at Code_Saturne documentation.

plot_probes
    The code_saturne plot_probes command runs xmgrace -nxy command on a Code_Saturne time monitoring file (chronological records) after removing the first column (in order to have physical time on the X axis).

SEE ALSO
cs_io_dump(1), cs_partition(1), cs_preprocess(1), cs_solver(1)